ghc-7.4.2: The GHC API

Safe Haskell | None

FlagChecker

Description

This module manages storing the various GHC option flags in a modules interface file as part of the recompilation checking infrastructure.

Synopsis

- fingerprintDynFlags :: DynFlags -> Module -> (BinHandle -> Name -> IO ()) -> IO Fingerprint

# Documentation

fingerprintDynFlags :: DynFlags -> Module -> (BinHandle -> Name -> IO ()) -> IO Fingerprint

Produce a fingerprint of a `DynFlags` value. We only base the finger print on important fields in `DynFlags` so that the recompilation checker can use this fingerprint.